import Command from '../../lib/base';
declare const FIELDS: readonly ["id", "email", "token"];
export type FunctionsInformationKey = typeof FIELDS[number];
export type FunctionsInformation = {
    [key in FunctionsInformationKey]?: string;
};
export default class WhoAmI extends Command {
    static summary: string;
    static description: string;
    static examples: string[];
    static flags: {
        'show-token': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    run(): Promise<FunctionsInformation | {
        functionsEmail: string | undefined;
        functionsId: string | undefined;
        functionsToken: string;
    } | {
        functionsEmail: string | undefined;
        functionsId: string | undefined;
        functionsToken?: undefined;
    }>;
}
export {};
